eN_modification<-function(x) {}
eN_read<-function(x) {}
lazyNut_exec<-function(x) {}
source("eN-base.R")

df=read.csv("FS_nonword.results.2.csv",stringsAsFactors = F,check.names = F)
#df=data.frame() # test empty dataframe
# head(df)
# names(df)
names(df)[3]="response"
names(df)[4]="rt"

boxplotter<-source("../plots/boxplot.R")$value
boxplotter(df=df,
           ys=c("rt"),  
           classify=c("N")
)


# 
# df2=data.frame(rt=runif(100),N=c(rep(0,100),rep(1,100)))
# df2=data.frame(rt=df$rt,N=df$N)
# df[,4]=runif(nrow(df))
# df$N = c(rep(0,60),rep(1,60))
# df$N2 = c(rep(0,60),rep(1,60))
# print(  boxplot(#as.formula(fmla), 
#   as.formula("rt ~ N"), 
#   data=df2))
# 
# boxplotter<-source("boxplot.R")$value
# boxplotter(df=df2,
#            ys=c("rt"),  
#            classify=c("N"),
#            y.axis.label="RT", 
#            x.axis.label="Condition" 
# )
# 
